- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- StorageMessage
Lists all messages for a given conversation.
HTTP request
GET https://geminidataanalytics.googleapis.com/v1/{parent=projects/*/locations/*/conversations/*}/messages
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The conversation to list messages under. Format: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Requested page size. Server may return fewer items than requested. The max page size is |
pageToken |
Optional. A token identifying a page of results the server should return. |
filter |
Optional. Filtering results. See AIP-160 for syntax. messages.list allows filtering by: * createTime (e.g., |
Request body
The request body must be empty.
Response body
Response for listing chat messages.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"messages": [
{
object ( |
| Fields | |
|---|---|
messages[] |
The list of chat messages. |
nextPageToken |
A token identifying a page of results the server should return. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
StorageMessage
A stored message containing user message or system message.
| JSON representation |
|---|
{
"messageId": string,
"message": {
object ( |
| Fields | |
|---|---|
messageId |
The unique resource name of a chat message. |
message |
The message content. |